/* $Id$ */
/* 
 * Copyright (C)2003-2006 Benny Prijono <benny@prijono.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */
#ifndef __PJMEDIA_DOXYGEN_H__
#define __PJMEDIA_DOXYGEN_H__

/**
 * @file doxygen.h
 * @brief Doxygen's mainpage.
 */

/**
 * @defgroup PJMEDIA PJMEDIA Library
 */

/*////////////////////////////////////////////////////////////////////////// */
/*
	INTRODUCTION PAGE
 */

/**
 * @mainpage Welcome to PJMEDIA!
 *
 * @section intro_sec What is PJMEDIA
 *
 * PJMEDIA open source (GPL) library contains objects that implements multimedia 
 * capabilities. It can be used with signaling libraries such as PJSIP to create 
 * a complete multimedia communication endpoint.
 *
 *
 * @subsection pjmedia_about_subsec About PJMEDIA
 *
 * <pre>
 * Copyright (C) 2003-2006 Benny Prijono <benny@prijono.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 * </pre>
 *
 *
 * @subsection portaudio_subsec About PortAudio
 *
 * PortAudio is an excellent sound device library that is chosen as sound 
 * device abstraction in PJMEDIA. It has the following characteristics that
 * makes it perfect for our use:
 *
 *  - It is portable and complete
 *\n
 *    It supports multiple back-ends on Windows, Windows CE (WinCE)/PocketPC, 
 *    Linux, Unix, and MacOS. More platforms may be supported.
 *  - It is callback based
 *\n
 *    The callback based for supplying/retrieving frames from the audio
 *    device is perfect for our use.
 *  - No nonsense, C based library.
 *  - Actively maintained.
 * 
 * Please visit http://www.portaudio.com for more info.
 *
 * PortAudio is distributed with the following condition.
 * <pre>
 * Based on the Open Source API proposed by Ross Bencina
 * Copyright (c) 1999-2000 Phil Burk
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files
 * (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * </pre>
 */

#endif /* __PJMEDIA_DOXYGEN_H__ */
